This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 218323 - system freezes after coming out of hibernate
system freezes after coming out of hibernate
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Cunningham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 12:54 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 17:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (2.58 KB, text/plain)
2006-12-15 17:12 EST, Orion Poplawski
no flags Details
X log from hang (64.52 KB, text/plain)
2006-12-15 17:14 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2006-12-04 12:54:32 EST
Description of problem:

Same system as bug 193680.  System goes into hibernate okay (though fairly
slowly it seems).  On reboot system mostly comes up, but get a slightly garbled
X screen and the system hangs.  May be an X issue, but starting with the kernel.

Video driver is:
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY [Radeon
7000/VE]

Dec  4 09:25:22 vault hidd[2229]: Exit
Dec  4 09:25:22 vault sdpd[2143]: terminating...
Dec  4 09:25:23 vault hcid[2139]: Unregister path:/org/bluez
Dec  4 09:25:23 vault hcid[2139]: Exit
Dec  4 09:25:23 vault kernel: NET: Unregistered protocol family 31
Dec  4 09:25:24 vault ntpd[2416]: ntpd exiting on signal 15
Dec  4 09:25:26 vault kernel: Disabling non-boot CPUs ...
Dec  4 09:25:26 vault kernel: Breaking affinity for irq 0
Dec  4 09:25:26 vault kernel: Breaking affinity for irq 201
Dec  4 09:25:26 vault kernel: Breaking affinity for irq 217
Dec  4 09:25:26 vault kernel: CPU 1 is now offline
Dec  4 09:25:26 vault kernel: SMP alternatives: switching to UP code
Dec  4 09:28:50 vault kernel: CPU1 is down
Dec  4 09:28:54 vault kernel: Stopping tasks:
===========================================
===============================================|
Dec  4 09:28:54 vault kernel: Shrinking memory... done (147828 pages freed)
Dec  4 09:28:54 vault kernel:  usbdev3.1_ep81: PM: suspend 0->1, parent 3-0:1.0
already 1
Dec  4 09:28:54 vault kernel:  usbdev2.1_ep81: PM: suspend 0->1, parent 2-0:1.0
already 1
Dec  4 09:28:54 vault kernel:  usbdev1.1_ep81: PM: suspend 0->1, parent 1-0:1.0
already 1
Dec  4 09:28:54 vault kernel: psmouse.c: bad data from KBC - timeout bad parity
Dec  4 09:28:54 vault kernel: psmouse.c: bad data from KBC - timeout bad parity
Dec  4 09:28:54 vault kernel: pnp: Device 00:0c disabled.
Dec  4 09:28:58 vault kernel: pnp: Device 00:0a disabled.
Dec  4 09:28:57 vault restorecond: Read error (Interrupted system call)
Dec  4 09:29:01 vault kernel: pnp: Device 00:09 disabled.
Dec  4 09:29:04 vault kernel: pnp: Device 00:08 disabled.
Dec  4 09:29:05 vault kernel: ACPI: PCI interrupt for device 0000:02:08.0 disabled
Dec  4 09:29:06 vault kernel: ACPI: PCI interrupt for device 0000:02:04.0 disabled
Dec  4 09:29:06 vault kernel: ACPI: PCI interrupt for device 0000:02:00.0 disabled
Dec  4 09:29:07 vault kernel: ACPI: PCI interrupt for device 0000:00:09.2 disabled
Dec  4 09:29:07 vault kernel: ACPI: PCI interrupt for device 0000:00:09.1 disabled
Dec  4 09:29:07 vault kernel: ACPI: PCI interrupt for device 0000:00:09.0 disabled
Dec  4 09:29:07 vault kernel: ..............................
Dec  4 09:29:08 vault kernel: swsusp: Need to copy 68512 pages
Dec  4 09:29:08 vault kernel: Intel machine check architecture supported.
Dec  4 09:29:08 vault kernel: Intel machine check reporting enabled on CPU#0.
Dec  4 09:29:08 vault kernel: swsusp: Restoring Highmem
Dec  4 09:29:09 vault kernel: PCI: Enabling device 0000:00:09.0 (0010 -> 0012)
Dec  4 09:29:10 vault kernel: ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 21
(level, low)
-> IRQ 169
Dec  4 09:29:10 vault kernel: PCI: Enabling device 0000:00:09.1 (0010 -> 0012)
Dec  4 09:29:10 vault kernel: ACPI: PCI Interrupt 0000:00:09.1[B] -> GSI 22
(level, low)
-> IRQ 177
Dec  4 09:29:11 vault kernel: PCI: Enabling device 0000:00:09.2 (0010 -> 0012)
Dec  4 09:29:12 vault kernel: ACPI: PCI Interrupt 0000:00:09.2[C] -> GSI 23
(level, low)
-> IRQ 193
Dec  4 09:29:12 vault kernel: PCI: Enabling device 0000:02:00.0 (0010 -> 0012)
Dec  4 09:29:12 vault kernel: ACPI: PCI Interrupt 0000:02:00.0[D] -> GSI 19
(level, low)
-> IRQ 185
Dec  4 09:29:12 vault kernel: PCI: Enabling device 0000:02:04.0 (0080 -> 0081)
Dec  4 09:29:12 vault kernel: ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 17
(level, low)
-> IRQ 201
Dec  4 09:29:12 vault kernel: pnp: Device 00:08 activated.
Dec  4 09:29:12 vault kernel: e100: eth0: e100_watchdog: link up, 100Mbps,
full-duplex
Dec  4 09:29:13 vault kernel: pnp: Device 00:09 activated.
Dec  4 09:29:13 vault kernel: pnp: Device 00:0a activated.
Dec  4 09:29:13 vault kernel: pnp: Device 00:0b does not support activation.
Dec  4 09:29:13 vault kernel: pnp: Device 00:0c activated.
Dec  4 09:29:13 vault kernel: Restarting tasks... done
Dec  4 09:29:13 vault kernel: Enabling non-boot CPUs ...
Dec  4 09:29:13 vault kernel: SMP alternatives: switching to SMP code
Dec  4 09:29:13 vault kernel: Booting processor 1/1 eip 3000
Dec  4 09:29:13 vault kernel: CPU 1 irqstacks, hard=c07b0000 soft=c0790000
Dec  4 09:29:13 vault kernel: Initializing CPU#1
Dec  4 09:29:13 vault kernel: Calibrating delay using timer specific routine..
2823.08 BogoMIPS (lpj=1411544)
Dec  4 09:29:13 vault kernel: CPU: Vendor unknown, using generic init.
Dec  4 09:29:13 vault kernel: CPU: Your system may be unstable.
Dec  4 09:29:13 vault kernel: CPU1: AuthenticAMD AMD Athlon(TM) MP 1600+ stepping 02
Dec  4 09:29:13 vault kernel: CPU1 is up
Dec  4 09:29:16 vault kernel: ACPI: Power Button (FF) [PWRF]
Dec  4 09:29:16 vault kernel: ACPI: Sleep Button (FF) [SLPF]
Dec  4 09:29:16 vault kernel: ACPI: Power Button (CM) [PWRB]
Dec  4 09:29:17 vault kernel: Bluetooth: Core ver 2.10
Dec  4 09:29:17 vault kernel: NET: Registered protocol family 31
Dec  4 09:29:17 vault kernel: Bluetooth: HCI device and connection manager
initialized
Dec  4 09:29:17 vault kernel: Bluetooth: HCI socket layer initialized
Dec  4 09:29:17 vault kernel: Bluetooth: L2CAP ver 2.8
Dec  4 09:29:17 vault kernel: Bluetooth: L2CAP socket layer initialized
Dec  4 09:29:17 vault kernel: Bluetooth: HIDP (Human Interface Emulation) ver 1.1
Dec  4 09:29:17 vault kernel: Bluetooth: RFCOMM socket layer initialized
Dec  4 09:29:17 vault kernel: Bluetooth: RFCOMM TTY layer initialized
Dec  4 09:29:17 vault kernel: Bluetooth: RFCOMM ver 1.8
Dec  4 09:29:19 vault hcid[14561]: Bluetooth HCI daemon
Dec  4 09:29:20 vault sdpd[14578]: Bluetooth SDP daemon
Dec  4 09:29:20 vault hcid[14561]: Register path:/org/bluez fallback:1
Dec  4 09:29:20 vault hidd[14604]: Bluetooth HID daemon

Version-Release number of selected component (if applicable):
2.6.18-1.2849.fc6

How reproducible:
Tried again and this time system came up.  Ran pm-hibernate again from ssh
connection and the system locked up.
Comment 1 Nigel Cunningham 2006-12-05 21:27:55 EST
Please test a couple of times with as many modules as possible unloaded and 
from a non-X runlevel. If that works, readd modules until you can say one or 
more break things. I would suspect Bluetooth for a start.
Comment 2 Orion Poplawski 2006-12-15 15:14:10 EST
From runlevel 4 I was able to hibernate and recover 5 times without incident.

Went level 5 and the next restore hung with a garbled X screen.
Comment 3 Nigel Cunningham 2006-12-15 17:05:46 EST
Ok then. Could you provide more information about your X configuration? 
(xorg.conf and Xorg.0.log)?

Thanks in advance.
Comment 4 Orion Poplawski 2006-12-15 17:12:37 EST
Created attachment 143827 [details]
xorg.conf
Comment 5 Orion Poplawski 2006-12-15 17:14:59 EST
Created attachment 143828 [details]
X log from hang
Comment 6 Nigel Cunningham 2006-12-22 17:04:16 EST
Thanks for the feedback. Please try temporarily disabling DRI in your 
xorg.conf, to see if that makes a difference. (Doing this will also disable 
compiz - hope you can cope with that :>).
Comment 7 Orion Poplawski 2007-03-23 18:37:29 EDT
Looks very stable without DRI.
Comment 8 Orion Poplawski 2007-03-28 18:31:07 EDT
Actually, still seem to be some issues.  I think I'll try to resolve some X
display issues first, as the hibernate issue really isn't that important to me.
Comment 9 Nigel Cunningham 2007-06-12 02:54:31 EDT
Any progress?
Comment 10 Orion Poplawski 2007-06-12 17:43:10 EDT
Closing as I really don't have the time or need to pursue this farther.

Note You need to log in before you can comment on or make changes to this bug.